Actualización de seguridad en Joomla 5

Carlos Clavero
Carlos Clavero
SEO Manager con más de 10 años de experiencia posicionando webs.
Tabla de contenidos
Actualización de seguridad en Joomla 5

El proyecto Joomla siempre está en proceso de mejora, simplicidad y adaptación de diseño para hacerlo más accesible, además de dotar de seguridad en Joomla 5 y notificar de actualizaciones y mejoras realizadas para mantenerse en plena forma en este mundo que avanza tan rápido.

Esta semana han anunciado el lanzamiento de correcciones de errores y seguridad en Joomla 5.0.1 y 4.4.1 , siendo una versión de seguridad y corrección de errores para las series de Joomla 5.x y 4.x.

Errores corregidos y mejoras de seguridad en Joomla 5

Estas son las correcciones que se han nombrado en la noticia del propio Joomla, aunque el listado completo de ellas se puede ver en GitHub.

  • Reparar la visualización de SVG en la vista de lista del administrador de medios
  • Agregue información en campos personalizados sobre la indexación del buscador
  • Arreglar aviso en plantilla de correo
  • Mejora de la vista de Messenger
  • Corrección del instalador CLI
  • Se corrigió el requisito mínimo de PHP incorrecto para el instalador CLI
  • Corregir manejo de errores en la instalación de carpetas públicas
  • Agregar cargador de complementos Compat a API
  • Arreglar salto de línea en el editor TinyMCE
  • Actualizar el editor TinyMCE
  • Se corrigió la selección «sin usuario» en el campo de usuario
  • Corregir parámetros heredados en la plantilla Cassiopeia
  • Reparar espacio innecesario en el campo personalizado
  • Reparar la vista móvil de TinyMCE
  • Reparar la clase de tabla cuando se crea en modo heredado
  • Modo oscuro condicional en editores
  • Corrija los nombres de las claves codificadas para ModalSelectField
  • Varias mejoras de lenguaje y estilo de código.

 

Aviso de INCIBE sobre Seguridad en Joomla

INCIBE ha informado sobre esta actualización de seguridad en Joomla en versión 5.0.1 y 4.4.1.

Se han reportado vulnerabilidades que afectan al core de Joomla! desde la versión 1.6.0-4.4.0 y  5.0.0, por lo que es necesario realizar la instalación o actualización hacia la 3.10.14-elts, 4.4.1 o 5.0.

Mejoras de seguridad en Joomla 5

Otros avisos sobre Seguridad en Joomla

La última vez que hablamos sobre seguridad en Joomla fue allá por junio cuando INCIBE notificó las vulnerabilidades existentes en las versiones 4.2.0 hasta la 4.3.1 y comentábamos como actualizar Joomla a una versión superior.

 

¿Qué hago si tengo una versión anterior de Joomla?

Si aún tienes una versión anterior de Joomla debes tener en cuenta que estás poniendo en peligro tu web ya que el código obsoleto es fácilmente rompible o hackeable por no tener soporte. Debes considerar actualizar la versión ya que estas actualizaciones de seguridad en Joomla tienen correcciones de la propia seguridad, mejoras de rendimiento y nuevas características del CMS añadidas.

No siempre es sencillo ni fácil realizar una actualización, por eso es necesario crear una copia de seguridad previa de todo tu sitio para poder revertir cualquier contratiempo que te encuentres en el proceso. Además es necesario realizar una verificación de compatibilidad de extensiones, temas y plugins que tengas en funcionamiento actualmente. El siguiente paso sería realizar la actualización en un entorno de pruebas para no afectar al sitio original.

De cualquier forma, si ves que te va a ser muy tedioso o no tienes idea sobre ello siempre puedes contratar un profesional que te ayude en este proceso.

Recibe los artículos en tu cuenta de correo

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

  He leído y acepto la política de privacidad

Artículos relacionados
¡Escríbenos!